Subject: Re: Regression from patch 'tty: hvc: hvc_poll() break hv read loop'

From: Jason Gunthorpe <[email-masked]>
Date: Tue, 4 Sep 2018 15:16:35 -0600

On Wed, Sep 05, 2018 at 07:15:29AM +1000, Nicholas Piggin wrote:
> On Tue, 4 Sep 2018 11:48:08 -0600
> Jason Gunthorpe <[email-masked]> wrote:
> 
> > Hi Nicholas,
> > 
> > I am testing 4.19-rc2 and I see bad behavior with my qemu hvc0
> > console..
> > 
> > Running interactive with qemu (qemu-2.11.2-1.fc28) on the console
> > providing hvc0, using options like:
> > 
> >         -nographic
> >         -chardev stdio,id=stdio,mux=on,signal=off
> >         -mon chardev=stdio
> > 	-device isa-serial,chardev=stdio
> >         -device virtio-serial-pci
> > 	-device virtconsole,chardev=stdio
> > 
> > I see the hvc0 console hang regularly, ie doing something like 'up
> > arrow' in bash causes the hvc0 console to hang. Prior kernels worked
> > OK.
> > 
> > Any ideas? I'm not familiar with this code.. Thanks!
> 
> Yes I have had another report, I'm working on a fix. Sorry it has taken
> a while and thank you for the report.

Okay, let me know when you have a fix and I will be able to test it
for you!

Thanks,
Jason